#wmiobjects.ps1, Version 1.0
#A szmtgp szmos adatt lekrdezhetjk wmi-object-knt.
#
#Usage: wmiobjects.ps1 [ RemoteComputer ]

param( [string]$ComputerName = $env:ComputerName )

$namespace = "root\CIMV2" 

write-host "Opercis rendszer fontosabb adatai:"
Get-WmiObject -class Win32_OperatingSystem -computername $ComputerName 

write-host "Kpernyfelbonts:"
Get-WmiObject -class Win32_DisplayConfiguration -namespace $namespace -computername $ComputerName | Select-Object DeviceName, PelsWidth, PelsHeight, BitsPerPel, DisplayFrequency

write-host "Nhny BIOS tulajdonsg:"
Get-WmiObject -class Win32_BIOS -namespace $namespace -computername $ComputerName | Select-Object Name, Version, Manufacturer, SMBIOSBIOSVersion

write-host "Memria llapota:"
$free_mem = (Get-WmiObject -class Win32_OperatingSystem -computername $ComputerName).FreePhysicalMemory
$phys_mem = (Get-WmiObject -class Win32_OperatingSystem -computername $ComputerName).TotalVisibleMemorySize

"Elrhet".PadRight(10, " ") + ([string]([int](($free_mem + 512) / 1024))).PadLeft( 8, " " ) + "MB"
"sszesen".PadRight(10, " ") + ([string]([int](($phys_mem + 512) / 1024))).PadLeft( 8, " " ) + "MB"
